---
title: List invitations
description: Lists pending invitations for the workspace.
doc_version: 0.1.0-preview
last_updated: 2026-09-14
---

# List invitations

`GET /v1/workspaces/{workspaceId}/invitations`

Lists pending invitations for the workspace. Requires the admin role.

## Authentication

Send `Authorization: Bearer <GRAPHON_API_KEY>`. Read the key from the
GRAPHON_API_KEY environment variable. Never print it.

## Path parameters

- `workspaceId` (string) — The workspace id.

## Example request

```bash
curl \
  --url "https://api.graphon.ai/v1/workspaces/wspq7ws2np5l8z4/invitations" \
  --header "Authorization: Bearer $GRAPHON_API_KEY"
```

## CLI

```bash
graphon invitations list
```

## Example response

```json
{
  "items": [
    {
      "id": "invC3d4E5f6G7",
      "workspaceId": "wspq7ws2np5l8z4",
      "email": "grace@example.com",
      "role": "editor",
      "state": "pending",
      "delivery": "queued",
      "expiresAt": "2026-09-21T18:00:00.000Z",
      "revision": 1
    }
  ]
}
```

## Sitemap

See the full [sitemap](/sitemap.md) for all pages.
